<? 
	$pages_count = ceil($this->a_escorts_count / $this->agencies_per_page);

	$width = 59;
	$height = 81;
	$size = 'small';
	$thumb_size = "sthumb-agency";
	if ( $this->size == 'l' ) {
		$width = 135;
		$height = 178;
		$size = 'large';
		$thumb_size = "lthumb-agency";
	}
?>

<? if ( ! $this->is_ajax ): ?>
<div id="agency-escorts-list">

	<div class="clearbutton">
		<span href="#" class="agency-title">
			<span class="i an">
				<?= $this->t('see_all_escorts_from') ?> <a class="view-profile" href="<?= $this->getLink('agency-profile', array('agency_slug' => $this->agency->slug, 'agency_id' => $this->escort->agency_id)) ?>"><?= $this->agency->name ?></a>
			</span>
		</span>
	</div>

	<div class="view-types an">
		<p><?= __('view_type') ?></p>
		<a class="btn-view-type large <?= ($size == 'large') ? 'act' : '' ?>" onclick="return Sceon.AgencyEscorts.changeViewType(1, <?= $this->escort_id ?>, <?= $this->agency_id ?>, 'l', this);"></a>
		<a class="btn-view-type small <?= ($size == 'large') ? '' : 'act' ?>" onclick="return Sceon.AgencyEscorts.changeViewType(1, <?= $this->escort_id ?>, <?= $this->agency_id ?>, 's', this);"></a>
	</div>
	<div class="clear"></div>

	<div class="content <?= $size ?>">
<? endif; ?>

		<table>
			<tr>
				<? if ( $pages_count > 1 ): ?>
				<td valign="middle">
					<a href="#" class="paging prev <?= ($this->agencies_page > 1) ? 'act' : '' ?>" onclick="return Sceon.AgencyEscorts.Load(<?= $this->agencies_page - 1 ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>, this);"></a>
				</td>
				<? endif; ?>
				<td>
					<div class="list <?= $size ?>">

						<? foreach($this->a_escorts as $k => $a_escort): ?>
							<div class="item <?= ($k + 1 == count($this->a_escorts)) ? 'last' : '' ?>">
								<? if ( ! $a_escort instanceof Model_EscortV2Item ) $a_escort = new Model_EscortV2Item($a_escort) ?>
								<a class="a view-profile" href="<?= $this->getLink('profile', array('showname' => $a_escort->showname, 'escort_id' => $a_escort->id)) ?>"><img src="<?= $a_escort->getMainPhoto()->getUrl($thumb_size); ?>" width="<?= $width ?>" height="<?= $height ?>" alt="<?= $a_escort->showname ?>" /></a>
								<div class="o none"></div>

								<? if ( $size == 'large' ): ?>
								<div class="details an none">
									<a class="l view-profile" href="<?= $this->getLink('profile', array('showname' => $a_escort->showname, 'escort_id' => $a_escort->id)) ?>"><?= _shorten_word($a_escort->showname, 8) ?><?= ($a_escort->age) ? ', ' . $a_escort->age : '' ?></a>	
									<a class="r view-profile" href="<?= $this->getLink('profile', array('showname' => $a_escort->showname, 'escort_id' => $a_escort->id)) ?>"><?= __('click_for_details') ?></a>
								</div>
								<? else: ?>
								<div class="details an none">
									<div class="details-i">
										<div class="i">
											<a class="a view-profile" href="<?= $this->getLink('profile', array('showname' => $a_escort->showname, 'escort_id' => $a_escort->id)) ?>"><img src="<?= $a_escort->getMainPhoto()->getUrl('sthumb-agency2'); ?>" width="71" height="98" alt="<?= $a_escort->showname ?>" /></a>
										</div>
										<a href="<?= $this->getLink('profile', array('showname' => $a_escort->showname, 'escort_id' => $a_escort->id)) ?>" class="click an view-profile"><?= __('click_for_details') ?></a>
									</div>
									<a class="info view-profile" href="<?= $this->getLink('profile', array('showname' => $a_escort->showname, 'escort_id' => $a_escort->id)) ?>"><?= _shorten_word($a_escort->showname, 8) ?><?= ($a_escort->age) ? ', ' . $a_escort->age : '' ?></a>
								</div>
								<? endif; ?>
							</div>
						<? endforeach; ?>
					</div>
				</td>
				<? if ( $pages_count > 1 ): ?>
				<td valign="middle">
					<a href="#" class="paging next <?= ($this->agencies_page < $pages_count) ? 'act' : '' ?>" onclick="return Sceon.AgencyEscorts.Load(<?= $this->agencies_page + 1 ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>, this);"></a>
				</td>
				<? endif; ?>
			</tr>
		</table>

<? if ( ! $this->is_ajax ): ?>
	</div>
</div>
<div class="sep"></div>
<? endif; ?>